# eoReal< FitT > Class Template Reference

eoReal: implementation of simple real-valued chromosome. More...

`#include <eoReal.h>`

Inheritance diagram for eoReal< FitT >:

List of all members.

## Public Member Functions

| eoReal (unsigned size=0, double value=0.0)
| (Default) Constructor.
virtual std::string | className () const
| My class name.

## Detailed Description

### template<class FitT>
class eoReal< FitT >

eoReal: implementation of simple real-valued chromosome.

based on eoVector class

Definition at line 37 of file eoReal.h.

## Constructor & Destructor Documentation

template<class FitT>
eoReal< FitT >::eoReal | ( | unsigned | size = `0`,
|  | double | value = `0.0`
| ) | `[inline]`

(Default) Constructor.

Parameters:

  | size | Size of the std::vector

Definition at line 45 of file eoReal.h.

The documentation for this class was generated from the following file:

- eoReal.h